Subject: Re: [MPC8272ADS]Cannot start my Linux Kernel

From: Anatolij Gustschin <[email-masked]>
Date: Thu, 15 Jan 2009 13:52:29 +0100

Jean-Michel Hautbois wrote:

> I have a MPC8272ADS board, 64MB RAM, 8MB Flash.
> I compiled u-boot using the existing config file, and compiled my linux
> kernel successfully with the defconfig file too.
> 
> I have updated u-boot, downloaded my kernel file, and a ramdisk image
> from the eldk distribution.
> I have tried using a lot of bootargs (
> bootargs root=/dev/ram rw console=ttyS0,115200
> bootargs through nfs, etc.)
> 
> When I am resetting my card, it reboots:
> bootargs=root=/dev/ram rw console=ttyS0,115200
> bootcmd=bootm ff800000 ff980000

you also need to build a device tree blob for mpc8272ads, load it
into RAM or flash and boot using "bootm" command as follows:

=> bootm ff800000 ff980000 %FDT_ADDR%"

See also http://www.denx.de/wiki/view/DULG/BootingEmbeddedLinux

Best regards,
Anatolij